%define oname   fb

Name:       ruby-%{oname}
Version:    0.6.7
Release:    %mkrel 2
Summary:    This is the Firebird API module for Ruby
Group:      Development/Ruby
License:    Ruby License
URL:        http://github.com/rowland/fb
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: firebird-devel
Requires:   ruby(abi) = 1.8

%description
This is the Firebird API module for Ruby.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/fb.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch: noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Tue Mar 22 2011 philippem <philippem> 0.6.7-2.mga1
+ Revision: 75670
- change doc as noarch

* Tue Mar 22 2011 philippem <philippem> 0.6.7-1.mga1
+ Revision: 75629
- imported package ruby-fb

